Summary: Asynchronous Python 3 Bindings for Qt 5
Name: pyotherside
Version:    1.5.3
Release:    8%{?dist}
Source0: http://thp.io/2011/pyotherside/%{name}-%{version}.tar.gz
URL: http://thp.io/2011/pyotherside/
License: ISC
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Quick)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: xorg-x11-server-Xvfb

%description
A QML Plugin that provides access to a Python 3 interpreter from QML.

%prep
%setup -q

%build
%{qmake_qt5}
make %{?_smp_mflags}

%check
xvfb-run ./tests/tests

%install
make INSTALL_ROOT=%{buildroot} install

%files
%doc README LICENSE
%dir %{_qt5_archdatadir}/qml/io/
%dir %{_qt5_archdatadir}/qml/io/thp/
%{_qt5_archdatadir}/qml/io/thp/pyotherside
%exclude %{_libdir}/qt5/tests/qtquicktests/qtquicktests

%changelog
* Thu Mar 07 2019 Troy Dawson <tdawson@redhat.com> - 1.5.3-8
- Rebuilt to change main python from 3.4 to 3.6

* Fri Apr 27 2018 Orion Poplawski <orion@nwra.com> - 1.5.3-7
- Support EPEL

* Wed Feb 14 2018 Jan Grulich <jgrulich@redhat.com> - 1.5.3-6
- rebuild (qt5)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 01 2018 Rex Dieter <rdieter@fedoraproject.org> - 1.5.3-4
- rebuild (qt5)

* Mon Nov 27 2017 Rex Dieter <rdieter@fedoraproject.org> - 1.5.3-3
- rebuild (qt5)

* Thu Nov 16 2017 Christian Dersch <lupinix@fedoraproject.org> - 1.5.3-2
- rebuilt (Qt 5.9.2)

* Mon Oct 16 2017 Martin Kolman <mkolman@redhat.com> - 1.5.3-1
- Updated to 1.5.3

* Wed Oct 11 2017 Rex Dieter <rdieter@fedoraproject.org> - 1.5.1-5
- BuildRequires: qt5-qtbase-private-devel

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Mar 20 2017 Martin Kolman <mkolman@redhat.com> - 1.5.1-2
- exclude a test related executable

* Mon Mar 20 2017 Martin Kolman <mkolman@redhat.com> - 1.5.1-1
- updated to 1.5.1

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.5.0-3
- Rebuild for Python 3.6

* Wed Jun 15 2016 Martin Kolman <mkolman@redhat.com> - 1.5.0-2
- add missing pkgconfig(Qt5Svg) dependency

* Wed Jun 15 2016 Martin Kolman <mkolman@redhat.com> - 1.5.0-1
- updated to 1.5.0

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Apr 10 2015 Rex Dieter <rdieter@fedoraproject.org> 1.4.0-4
- drop needless ldconfig scriptlets
- drop deprecated .spec tags
- use %%qmake_qt5, %%{_qt5_archdatadir} macros

* Fri Apr 10 2015 Martin Kolman <mkolman@redhat.com> - 1.4.0-3
- fix QML plugin directory ownership

* Thu Apr 02 2015 Martin Kolman <mkolman@redhat.com> - 1.4.0-2
- add a changelog
- call ldconfig correctly
- run the test suite in check

* Thu Apr 02 2015 Martin Kolman <mkolman@redhat.com> - 1.4.0-1
- update to upstream release 1.4.0

* Wed Dec 10 2014 Martin Kolman <mkolman@redhat.com> - 1.3.0-1
- Initial package
